Index: projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl
===================================================================
--- projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 150)
+++ projects/DailyDrillingReport_1.2/XML/PDFreport/ddr_HTMLReport_transformation_2011_03_09.xsl (revision 152)
@@ -2,10 +2,10 @@
 <xslt:stylesheet xmlns:date="http://exslt.org/dates-and-times" xmlns:str="http://exslt.org/strings" xmlns:xslt="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xf="http://www.ecrion.com/xf/1.0" xmlns:xc="http://www.ecrion.com/2008/xc" xmlns:xfd="http://www.ecrion.com/xfd/1.0" xmlns:svg="http://www.w3.org/2000/svg" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:witsml="http://www.witsml.org/schemas/1series" xmlns:sawsdl="http://www.w3.org/ns/sawsdl" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" extension-element-prefixes="date str">
 <xslt:output indent="yes" encoding="utf-8"/>
-<xslt:param name="XFCrtLocalDate">2011-03-16</xslt:param>
-<xslt:param name="XFCrtLocalTime">14:57:36</xslt:param>
-<xslt:param name="XFCrtLocalDateTime">2011-03-16T14:57:36</xslt:param>
-<xslt:param name="XFCrtUTCDate">2011-03-16</xslt:param>
-<xslt:param name="XFCrtUTCTime">13:57:36</xslt:param>
-<xslt:param name="XFCrtUTCDateTime">2011-03-16T13:57:36</xslt:param>
+<xslt:param name="XFCrtLocalDate">2011-03-22</xslt:param>
+<xslt:param name="XFCrtLocalTime">14:27:24</xslt:param>
+<xslt:param name="XFCrtLocalDateTime">2011-03-22T14:27:24</xslt:param>
+<xslt:param name="XFCrtUTCDate">2011-03-22</xslt:param>
+<xslt:param name="XFCrtUTCTime">13:27:24</xslt:param>
+<xslt:param name="XFCrtUTCDateTime">2011-03-22T13:27:24</xslt:param>
 <xslt:param name="XFOutputFormat"/>
 <!--
@@ -88,9 +88,57 @@
 					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='elevKelly']/@sawsdl:modelReference"/>
 				</xsl:variable>
+				<xsl:variable name="url_typeWellbore">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='typeWellbore']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_mdKickoff">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdKickoff']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_tvdKickoff">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdKickoff']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_mdPlugTop">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdPlugTop']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_md">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='md']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_tvd">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvd']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_distDrill">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='distDrill']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_ropCurrent">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='ropCurrent']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_diaHole">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='diaHole']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_presTestType">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='presTestType']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_strengthForm">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='strengthForm']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_mdStrengthForm">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdStrengthForm']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_tvdStrengthForm">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdStrengthForm']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_diaCsgLast">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='diaCsgLast']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_mdCsgLast">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdCsgLast']/@sawsdl:modelReference"/>
+				</xsl:variable>
+				<xsl:variable name="url_tvdCsgLast">
+					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdCsgLast']/@sawsdl:modelReference"/>
+				</xsl:variable>
 				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.49)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.931)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.397)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(48.182)" column-number="4"/>
+					<fo:table-column column-width="proportional-column-width(17.79)" column-number="1"/>
+					<fo:table-column column-width="proportional-column-width(17.33)" column-number="2"/>
+					<fo:table-column column-width="proportional-column-width(18.898)" column-number="3"/>
+					<fo:table-column column-width="proportional-column-width(45.982)" column-number="4"/>
 					<fo:table-body>
 						<fo:table-row>
@@ -116,15 +164,7 @@
 							</fo:table-cell>
 						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.637)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.931)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.398)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(48.034)" column-number="4"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-size="11pt" font-weight="bold">Wellbore:</fo:block>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold">Wellbore:</fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -146,9 +186,8 @@
 							</fo:table-cell>
 						</fo:table-row>
-						<fo:table-row height="13.280px" overflow="hidden">
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_versionKind})" font-weight="bold">Status:</fo:basic-link>
-								</fo:block>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_versionKind})" font-weight="bold">Status:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -160,7 +199,6 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_createDate})" font-weight="bold">Created date:</fo:basic-link>
-								</fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_createDate})" font-weight="bold">Created date:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -172,17 +210,8 @@
 							</fo:table-cell>
 						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.638)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.638)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.91)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(47.814)" column-number="4"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_operator})" font-weight="bold">Operator:</fo:basic-link>
-								</fo:block>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_operator})" font-weight="bold">Operator:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -194,7 +223,6 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_drillContractor})" font-weight="bold">Drilling contractor:</fo:basic-link>
-								</fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_drillContractor})" font-weight="bold">Drilling contractor:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -206,19 +234,8 @@
 							</fo:table-cell>
 						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.52)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.868)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(10.945)" column-number="4"/>
-					<fo:table-column column-width="proportional-column-width(27.083)" column-number="5"/>
-					<fo:table-column column-width="proportional-column-width(9.917)" column-number="6"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_rigAlias})" font-weight="bold">Rig name:</fo:basic-link>
-								</fo:block>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_rigAlias})" font-weight="bold">Rig name:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -230,5 +247,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block><fo:basic-link external-destination="url({$url_rigAlias})" font-weight="bold">NPD Rig Id:</fo:basic-link><fo:inline font-size="11pt" font-weight="bold"> </fo:inline></fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_rigAlias})" font-weight="bold">NPD Rig Id:</fo:basic-link><fo:inline font-size="11pt" font-weight="bold"> </fo:inline> </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -239,8 +256,33 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block><fo:basic-link external-destination="url({$url_elevKelly})" font-weight="bold">Eleveation RKB-MSL</fo:basic-link><fo:inline font-size="11pt"> <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:elevKelly/@uom)"><fo:inline font-weight="bold">
+						</fo:table-row>
+						<fo:table-row height="17.840px" overflow="hidden">
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_dTimSpud})" font-weight="bold">Spud date:</fo:basic-link>
+								 </fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block>
+									<xsl:if test="string(substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dTimSpud, 'T'))"><fo:inline>
+<xsl:value-of select="substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dTimSpud, 'T')"/>
+</fo:inline></xsl:if>
+								</fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_dateDrillComplete})" font-weight="bold">Date Well Complete:</fo:basic-link>
+								 </fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block> <xsl:if test="string(substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dateDrillComplete, 'T'))"><fo:inline>
+<xsl:value-of select="substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dateDrillComplete, 'T')"/>
+</fo:inline></xsl:if>
+								</fo:block>
+							</fo:table-cell>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold">Elevation RKB-MSL <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:elevKelly/@uom)"><fo:inline font-weight="bold">
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:elevKelly/@uom"/>
-</fo:inline></xsl:if>:</fo:inline></fo:block>
+</fo:inline></xsl:if>:</fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -251,32 +293,6 @@
 								</fo:block>
 							</fo:table-cell>
-						</fo:table-row>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_dTimSpud})" font-weight="bold">Spud date:</fo:basic-link>
-								</fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<xsl:if test="string(substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dTimSpud, 'T'))"><fo:inline>
-<xsl:value-of select="substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dTimSpud, 'T')"/>
-</fo:inline></xsl:if>
-								</fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<fo:basic-link external-destination="url({$url_dateDrillComplete})" font-weight="bold">Date Well Complete:</fo:basic-link>
-								</fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<xsl:if test="string(substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dateDrillComplete, 'T'))"><fo:inline>
-<xsl:value-of select="substring-before(/witsml:drillReports/witsml:drillReport/witsml:wellboreInfo/witsml:dateDrillComplete, 'T')"/>
-</fo:inline></xsl:if>
-								</fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})" font-weight="bold">Water depth MSL </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:waterDepth/@uom)"><fo:inline>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold">Water depth MSL <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:waterDepth/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:waterDepth/@uom"/>
 </fo:inline></xsl:if>:</fo:block>
@@ -290,82 +306,21 @@
 							</fo:table-cell>
 						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-			</fo:block>
-<xslt:comment> Status info </xslt:comment>
-			<fo:block>
-				<xsl:variable name="url_typeWellbore">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='typeWellbore']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_mdKickoff">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdKickoff']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_tvdKickoff">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdKickoff']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_mdPlugTop">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdPlugTop']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_md">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='md']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_tvd">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvd']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_distDrill">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='distDrill']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_ropCurrent">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='ropCurrent']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_diaHole">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='diaHole']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_presTestType">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='presTestType']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_strengthForm">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='strengthForm']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_mdStrengthForm">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdStrengthForm']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_tvdStrengthForm">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdStrengthForm']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_diaCsgLast">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='diaCsgLast']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_mdCsgLast">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='mdCsgLast']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<xsl:variable name="url_tvdCsgLast">
-					<xsl:value-of select="$element_drillReportStatusInfo//xsd:element[@name='tvdCsgLast']/@sawsdl:modelReference"/>
-				</xsl:variable>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.784)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.49)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.692)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(48.034)" column-number="4"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block><fo:basic-link external-destination="url({$urlRDS})" font-weight="bold">Tight well:</fo:basic-link> </fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell)"><fo:inline>
-<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell"/>
-</fo:inline></xsl:if>
-								</fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block><fo:basic-link external-destination="url({$urlRDS})" font-weight="bold">High pressure - High temperature</fo:basic-link> </fo:block>
-							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block>
-									<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht)"><fo:inline>
-<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht"/>
-</fo:inline></xsl:if>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})" font-weight="bold">Tight well</fo:basic-link>: </fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='true'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:tightWell='false'">no</xsl:if>
+								</fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})" font-weight="bold">High pressure - High temperature</fo:basic-link>  </fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='true'">yes</xsl:if>
+									<xsl:if test="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:hpht='false'">no</xsl:if>
 								</fo:block>
 							</fo:table-cell>
@@ -375,5 +330,5 @@
 								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})">Pressure </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:avgPresBH/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:avgPresBH/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -385,7 +340,7 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})">Temperature </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:expTempBH/@uom)"><fo:inline>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$urlRDS})">Temperature </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:expTempBH/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:expTempBH/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -397,17 +352,17 @@
 							</fo:table-cell>
 						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(19.013)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(10.65)" column-number="4"/>
-					<fo:table-column column-width="proportional-column-width(26.937)" column-number="5"/>
-					<fo:table-column column-width="proportional-column-width(10.065)" column-number="6"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_typeWellbore})">Wellbore type:</fo:basic-link> </fo:block>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold">Rig type</fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block>
+									<xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:rigType)"><fo:inline>
+<xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:rigType"/>
+</fo:inline></xsl:if>
+								</fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_typeWellbore})">Wellbore type:</fo:basic-link>   </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -418,6 +373,8 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdKickoff})">Depth at Kick Off mMD:</fo:basic-link> </fo:block>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdKickoff})">Depth at Kick Off mMD:</fo:basic-link>   </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -429,5 +386,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_tvdKickoff})">Depth at Kick Off mTVD:</fo:basic-link> </fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_tvdKickoff})">Depth at Kick Off mTVD:</fo:basic-link>  </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -441,5 +398,5 @@
 						<fo:table-row>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_md})">Depth mMD:</fo:basic-link> </fo:block>
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_md})">Depth mMD:</fo:basic-link>  </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -451,5 +408,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_tvd})">Depth mTVD:</fo:basic-link> </fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_tvd})">Depth mTVD:</fo:basic-link>  </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -460,6 +417,8 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdPlugTop})">Plug Back Depth mMD:</fo:basic-link> </fo:block>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdPlugTop})">Plug Back Depth mMD:</fo:basic-link>  </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -470,18 +429,8 @@
 								</fo:block>
 							</fo:table-cell>
-						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.93)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.637)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(18.692)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(47.74)" column-number="4"/>
-					<fo:table-body>
-						<fo:table-row height="19.840px" overflow="hidden">
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_distDrill})">Dist Drilled</fo:basic-link>  <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:distDrill/@uom)"><fo:inline>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_distDrill})">Dist Drilled</fo:basic-link>  <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:distDrill/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:distDrill/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -492,8 +441,10 @@
 								</fo:block>
 							</fo:table-cell>
+						</fo:table-row>
+						<fo:table-row>
 							<fo:table-cell vertical-align="middle">
 								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_ropCurrent})">Penetration Rate</fo:basic-link> <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:ropCurrent/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:ropCurrent/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -504,10 +455,8 @@
 								</fo:block>
 							</fo:table-cell>
-						</fo:table-row>
-						<fo:table-row height="13.280px" overflow="hidden">
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_diaHole})">Hole Dia </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:diaHole/@uom)"><fo:inline>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_diaHole})">Hole Dia </fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:diaHole/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:diaHole/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -518,6 +467,8 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_presTestType})">Pressure Test Type:</fo:basic-link> </fo:block>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_presTestType})">Pressure Test Type:</fo:basic-link>  </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -528,20 +479,8 @@
 								</fo:block>
 							</fo:table-cell>
-						</fo:table-row>
-					</fo:table-body>
-				</fo:table>
-				<fo:table table-layout="fixed" width="100%" border-collapse="collapse">
-					<fo:table-column column-width="proportional-column-width(16.960)" column-number="1"/>
-					<fo:table-column column-width="proportional-column-width(16.373)" column-number="2"/>
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="3"/>
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="4"/>
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="5"/>
-					<fo:table-column column-width="proportional-column-width(16.667)" column-number="6"/>
-					<fo:table-body>
-						<fo:table-row>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_strengthForm})">Formation Strength</fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:strengthForm/@uom)"><fo:inline>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_strengthForm})">Formation Strength</fo:basic-link><xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:strengthForm/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:strengthForm/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -552,6 +491,8 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdStrengthForm})">Depth At Formation Strength mMD:</fo:basic-link> </fo:block>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_mdStrengthForm})">Depth At Formation Strength mMD:</fo:basic-link>   </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -563,5 +504,5 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_tvdStrengthForm})">Depth At Formation Strength mTVD</fo:basic-link>:</fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_tvdStrengthForm})">Depth At Formation Strength mTVD</fo:basic-link>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -577,5 +518,5 @@
 								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_diaCsgLast})">Dia Last Casing</fo:basic-link>  <xsl:if test="string(/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:diaCsgLast/@uom)"><fo:inline>
 <xsl:value-of select="/witsml:drillReports/witsml:drillReport/witsml:statusInfo/witsml:diaCsgLast/@uom"/>
-</fo:inline></xsl:if>:</fo:block>
+</fo:inline></xsl:if>: </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -587,7 +528,6 @@
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold">
-									<fo:basic-link external-destination="url({$url_mdCsgLast})">Depth At Last Casing mMD:</fo:basic-link>
-								</fo:block>
+								<fo:block font-size="11pt" font-weight="bold"><fo:basic-link external-destination="url({$url_mdCsgLast})">Depth At Last Casing mMD:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -598,8 +538,9 @@
 								</fo:block>
 							</fo:table-cell>
-							<fo:table-cell vertical-align="middle">
-								<fo:block font-weight="bold">
-									<fo:basic-link external-destination="url({$url_tvdCsgLast})">Depth At Last Casing mTVD:</fo:basic-link>
-								</fo:block>
+						</fo:table-row>
+						<fo:table-row>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-weight="bold"><fo:basic-link external-destination="url({$url_tvdCsgLast})">Depth At Last Casing mTVD:</fo:basic-link>
+								 </fo:block>
 							</fo:table-cell>
 							<fo:table-cell vertical-align="middle">
@@ -609,4 +550,10 @@
 </fo:inline></xsl:if>
 								</fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block font-size="11pt" font-weight="bold"> </fo:block>
+							</fo:table-cell>
+							<fo:table-cell vertical-align="middle">
+								<fo:block> </fo:block>
 							</fo:table-cell>
 						</fo:table-row>
@@ -1557,21 +1504,18 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="string(witsml:topPlug)"><fo:inline>
-<xsl:value-of select="witsml:topPlug"/>
-</fo:inline></xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="string(witsml:botPlug)"><fo:inline>
-<xsl:value-of select="witsml:botPlug"/>
-</fo:inline></xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="string(not(witsml:plugBumped))"><fo:inline>
-<xsl:value-of select="not(witsml:plugBumped)"/>
-</fo:inline></xsl:if>
+															<xsl:if test="witsml:topPlug='true'">yes</xsl:if>
+															<xsl:if test="witsml:topPlug='false'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:botPlug='true'">yes</xsl:if>
+															<xsl:if test="witsml:botPlug='false'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:plugBumped='true'">yes</xsl:if>
+															<xsl:if test="witsml:plugBumped='false'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1585,7 +1529,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="string(not(witsml:floatHeld))"><fo:inline>
-<xsl:value-of select="not(witsml:floatHeld)"/>
-</fo:inline></xsl:if>
+															<xsl:if test="witsml:floatHeld='true'">yes</xsl:if>
+															<xsl:if test="witsml:floatHeld='false'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1599,7 +1542,6 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="string(witsml:annFlowAfter)"><fo:inline>
-<xsl:value-of select="witsml:annFlowAfter"/>
-</fo:inline></xsl:if>
+															<xsl:if test="witsml:annFlowAfter='true'">yes</xsl:if>
+															<xsl:if test="witsml:annFlowAfter='false'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -1613,14 +1555,12 @@
 													<fo:table-cell>
 														<fo:block>
-															<xsl:if test="string(witsml:reciprocated)"><fo:inline>
-<xsl:value-of select="witsml:reciprocated"/>
-</fo:inline></xsl:if>
-														</fo:block>
-													</fo:table-cell>
-													<fo:table-cell>
-														<fo:block>
-															<xsl:if test="string(witsml:rotated)"><fo:inline>
-<xsl:value-of select="witsml:rotated"/>
-</fo:inline></xsl:if>
+															<xsl:if test="witsml:reciprocated='true'">yes</xsl:if>
+															<xsl:if test="witsml:reciprocated='false'">no</xsl:if>
+														</fo:block>
+													</fo:table-cell>
+													<fo:table-cell>
+														<fo:block>
+															<xsl:if test="witsml:rotated='true'">yes</xsl:if>
+															<xsl:if test="witsml:rotated='false'">no</xsl:if>
 														</fo:block>
 													</fo:table-cell>
@@ -2900,7 +2840,6 @@
 												<fo:table-cell>
 													<fo:block>
-														<xsl:if test="string(witsml:goodSeal)"><fo:inline>
-<xsl:value-of select="witsml:goodSeal"/>
-</fo:inline></xsl:if>
+														<xsl:if test="witsml:goodSeal='true'">yes</xsl:if>
+														<xsl:if test="witsml:goodSeal='false'">no</xsl:if>
 													</fo:block>
 												</fo:table-cell>
@@ -3037,5 +2976,5 @@
 			</fo:block>
 <xslt:comment> Lithology Information </xslt:comment>
-			<fo:block break-before="page" break-after="page">
+			<fo:block>
 				<xsl:variable name="element_drillReportLithShowInfo" select="document($ddrSchema)/xsd:schema/xsd:complexType[@name='cs_drillReportLithShowInfo']/xsd:sequence"/>
 				<xsl:variable name="url_mdTop">
@@ -3651,6 +3590,5 @@
 												</fo:table-cell>
 												<fo:table-cell>
-													<fo:block>
-														<xslt:comment>&lt;xfd:field xpath="substring-after(xsl:dateTime(witsml:dTimClose) - xsl:dateTime(witsml:dTimOpen), 'PT')"/&gt;</xslt:comment>
+													<fo:block><xslt:comment>&lt;xfd:field xpath="substring-after(xsl:dateTime(witsml:dTimClose) - xsl:dateTime(witsml:dTimOpen), 'PT')"/&gt;</xslt:comment>
 														duration
 													</fo:block>
